Parsoid strips exclamation mark when it's at the start of a line
Closed, ResolvedPublic

Description

When a line starts with an exclamation mark, parsoid removes the exclamation mark, and also when there's a space before the exclamation mark (it respects the space).

For example:

INPUT:

!1

OUTPUT:

1

INPUT:

!1

OUTPUT:

<nowiki> 1</nowiki>

See URL for example.

I discovered it reviewing this edit:

http://www.mediawiki.org/w/index.php?diff=716121

I don't know if the "General" component is correct.


Version: unspecified
Severity: normal
URL: https://www.mediawiki.org/wiki/User:Ciencia_Al_Poder/Parsoid/1

bzimport added a project: Parsoid.Via ConduitNov 22 2014, 1:58 AM
bzimport set Reference to bz50104.
Ciencia_Al_Poder created this task.Via LegacyJun 24 2013, 3:18 PM
GWicke added a comment.Via ConduitJun 24 2013, 5:29 PM

This is a side effect of the way we support template syntax even outside a table context. This tokenizes to a table heading, which is then dropped while building the DOM as it is not wrapped into a table.

We should still be able to support this by adding a pass that checks for dropped table headings on the DOM based on the shadow metas and converts them back to text.

ssastry added a comment.Via ConduitSep 12 2014, 8:17 PM

This has been fixed a while back.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.